Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDefault

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SchemaObject
                  oracle.ifs.beans.TieSchemaObject
                      oracle.ifs.beans.ValueDefault

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDefault

    public class ValueDefault

extends TieSchemaObject

Stores the value that can be applied to an Attribute if no value is given when it is initially created.

Use a ValueDefault if NULL is not a valid value for an Attribute.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of this ValueDefault.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ValueDefault has a unique Name.
`static java.lang.String` | `VALUEDEFAULTPROPERTYBUNDLE_ATTRIBUTE` The PropertyBundle that defines the values for this object.

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ValueDefault(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a ValueDefault.

Method Summary
`protected static ValueDefault` | `constructValueDefault(LibrarySession session, S_LibraryObjectData data)` Internal use only: Constructs a ValueDefault for the specified data.
`static ValueDefault[]` | `findAll(LibrarySession session)` Returns the set of defined ValueDefaults.
`static ValueDefault` | `findByName(LibrarySession session, java.lang.String name)` Returns the a ValueDefault matching the specified name.
`java.lang.String` | `getDescription()` Gets the description of this ValueDefault.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find ValueDefault instances by name.
`AttributeValue` | `getPropertyValue()` Gets the value of the ValueDefaultPropertyBundle of this ValueDefault.
`ValueDefaultPropertyBundle` | `getValueDefaultPropertyBundle()` Gets the ValueDefaultPropertyBundle of this ValueDefault.
`void` | `setDescription(java.lang.String description)` Sets the description of this ValueDefault.
`void` | `setValueDefaultPropertyBundle(ValueDefaultPropertyBundle bundle)` Sets the ValueDefaultPropertyBundle of this ValueDefault.
`void` | `updatePropertyValue(AttributeValue value)` Sets the value of the ValueDefaultPropertyBundle of this ValueDefault.

Methods inherited from class oracle.ifs.beans.SchemaObject
`addCategory, constructSchemaObject, constructSchemaObjectVector, free, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, hasNameAttribute, isActive, postCreate, postUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preCreate, preFree, prePostAuditEvent, preUpdate, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ValueDefault`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `ValueDefault`
  A textual description of this ValueDefault.

  See Also:
    Constant Field Values
  (Published)

### VALUEDEFAULTPROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String VALUEDEFAULTPROPERTYBUNDLE_ATTRIBUTE

  Description copied from class: `ValueDefault`
  The PropertyBundle that defines the values for this object.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `ValueDefault`
  A system-set attribute used to ensure each ValueDefault has a unique Name.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ValueDefault

    protected ValueDefault(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classId,
                           S_LibraryObjectData data)
                    throws IfsException

  Constructs a ValueDefault.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

Method Detail

### setDescription

    public final void setDescription(java.lang.String description)
                              throws IfsException

  Description copied from class: `ValueDefault`
  Sets the description of this ValueDefault.

  Parameters:
    `description` - the description
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getDescription

    public final java.lang.String getDescription()
                                          throws IfsException

  Description copied from class: `ValueDefault`
  Gets the description of this ValueDefault.

  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setValueDefaultPropertyBundle

    public final void setValueDefaultPropertyBundle(ValueDefaultPropertyBundle bundle)
                                             throws IfsException

  Description copied from class: `ValueDefault`
  Sets the ValueDefaultPropertyBundle of this ValueDefault.

  Parameters:
    `bundle` - the ValueDefaultPropertyBundle
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getValueDefaultPropertyBundle

    public final ValueDefaultPropertyBundle getValueDefaultPropertyBundle()
                                                                   throws IfsException

  Description copied from class: `ValueDefault`
  Gets the ValueDefaultPropertyBundle of this ValueDefault.

  Returns:
    the ValueDefaultPropertyBundle
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Description copied from class: `ValueDefault`
  Gets the value of the ValueDefaultPropertyBundle of this ValueDefault.

  This returns an AttributeValue the represents the value set for this ValueDefault.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### updatePropertyValue

    public void updatePropertyValue(AttributeValue value)
                             throws IfsException

  Description copied from class: `ValueDefault`
  Sets the value of the ValueDefaultPropertyBundle of this ValueDefault.

  Parameters:
    `av` - the value
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### constructValueDefault

    protected static ValueDefault constructValueDefault(LibrarySession session,
                                                        S_LibraryObjectData data)
                                                 throws IfsException

  Description copied from class: `ValueDefault`
  Internal use only: Constructs a ValueDefault for the specified data.

  For internal use only. Do not use this method.

  Parameters:
    `session` - the session
    `data` - the data
  Returns:
    the ValueDefault
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `ValueDefault`
  Returns the LibraryObjectLookupCache used by find ValueDefault instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static ValueDefault[] findAll(LibrarySession session)
                                  throws IfsException

  Description copied from class: `ValueDefault`
  Returns the set of defined ValueDefaults.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of ValueDefaults; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static ValueDefault findByName(LibrarySession session,
                                          java.lang.String name)
                                   throws IfsException

  Description copied from class: `ValueDefault`
  Returns the a ValueDefault matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the ValueDefault name
  Returns:
    the ValueDefault matching the specified name; or null if there exists no matching ValueDefault
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD